<?php
session_name("td_image");
session_start();
?>
<!doctype html>
<html lang="fr" class="debutant" manifest="file.appcache">
<head>
	<meta charset="UTF-8">
	<title>Récupérer</title>
	<style type="text/css">
	@import url("../../CSS_Site/structure.css");
	</style>
</head>

<body class="debutant">

<!-- debut du contenu de la page -->
<div class="exo">
  <p id="misajourpage">11/01/2021</p>

 <h1>2. Récupérer une image</h1>

<p>Rappel&nbsp;: cet exercice a été préparé pour réalisation avec Firefox. Si vous utilisez un autre navigateur et que le comportement que vous observez ne semble pas cohérent avec les descriptions de ce TD, n'hésitez pas à reprendre le TD avec Firefox.
</p>

<p>
<em>Important&nbsp;!</em> Les images que vous allez récupérer ont été réalisées par les enseignants de ce cours et sont libres de droit.
</p>

<div class="afaire">
<h2>2.1. Première image</h2>

<p>Récupérez l'image suivante de
<a href="images/une_plante.jpg">un plan de romarin</a> (1,4Mo)
et enregistrez-la dans le dossier créé en début de TD.
(vous serez peut-être amenés d'une part à utiliser le bouton de votre navigateur permettant de revenir à la page précédente, d'autre part à recharger cette page, ce que vous pouvez faire, exceptionnellement, sans danger dans le cas présent).
</p>

<div class="faq">
  <input class="btonoff" type="checkbox" />
  <h3 class="question">Avez-vous correctement réalisé cet exercice&nbsp;?</h3>
  <div class="reponse onoff">
<h2></h2>

<p>
Avez-vous eu à un moment un message ou un écran similaire au suivant&nbsp;?
</p>
<p style="text-align:center">
<img src="images/alerte_rechargement_Firefox.png" width="500" alt="capture d'écran du message de Firefox : Le document a expiré. Ce document n’est plus disponible. Le document demandé n’est plus disponible dans le cache de Firefox.<br/>Par mesure de sécurité, Firefox ne redemande pas automatiquement de documents sensibles.<br/>Cliquez sur Réessayer pour redemander ce document depuis le site web."></p>

<ul>
<li><strong>Si vous n'avez pas eu le message d'erreur</strong>, bravo&nbsp;! vous avez le réflexe d'utiliser le menu contextuel pour récupérer la cible d'un lien que vous voulez récupérer pour retravailler, plutôt que de juste cliquer sur l'hyperlien pour aller à la ressource.</li>
<li><strong>Si vous avez eu le message d'erreur</strong>, vous avez sans doute été obligé d'utiliser le bouton <q>Réessayer</q> proposé par le navigateur et vous avez rechargé la page&nbsp;: heureusement qu'il n'y avait pas de risque lié à ce rechargement (ce qui pourrait être le cas si vous rencontrez ce message en utilisant un site marchand et que la page corresponde à une page de paiement).<br/>
Ce qui a provoqué l'image est vraisemblablement le fait d'avoir simplement cliqué sur l'hyperlien positionné sur le texte &laquo;&nbsp;un plan de romarin&nbsp;&raquo;. Cette méthode n'est pas la bonne quand vous voulez récupérer un document que vous désirez enregistrer.
La bonne méthode consiste à utiliser le menu contextuel de l'hyperlien (clic droit) et l'entrée du type &laquo;&nbsp;enregistrer sous&nbsp;&raquo;. Cette méthode permet de localiser le lieu de sauvegarde du fichier récupéré.
Essayez si ce n'est pas la méthode que vous avez utilisée.
</ul>

<p>
<strong>Bon à savoir</strong>
<ul>
<li>Pour savoir si un hyperlien vous permet d'accéder à une page web (html, php ou autre) ou plutôt à un document (image, traitement de texte, ...), il suffit de laisser le pointeur de la souris dessus quelques instants, l'adresse (l'url) de la cible apparaît et le suffixe en fin d'adresse vous donne une indication sur le format de fichiers de la cible.</li>
<li>Les fichiers <kbd>php</kbd> sont comme les fichiers <kbd>html</kbd> des fichiers au format texte seulement dans lequel se mélangent, sur le serveur, du code html et du code PHP (un langage de programmation). Avant le chargement du fichier, le code PHP est exécuté sur le serveur pour tenir compte d'éventuels paramètres (par exemple vos coordonnées bancaires quand vous faites un achat en ligne) transmis lors de l'appel du fichier PHP.</li>
<li>Dans votre pratique d'internet au quotidien, soyez particulièrement vigilant quand vous rencontrez le message précédent. Par exemple, si vous étiez en train d'effectuer un paiement en ligne, recharger la page peut entraîner un nouvel ordre de paiement. Ici Firefox nous protège d'une relance malencontreuse et nous l'explique&nbsp;: &laquo;Par mesure de sécurité, Firefox ne redemande pas automatiquement de documents sensibles.&raquo;).</li>
</ul>
</div><!-- Fin class reponseonoff -->
</div>
</div> <!-- fin à faire -->

<br/>

<div class="afaire">
<h2>2.2. Deuxième image</h2>

<p>Récupérez à présent l'image suivante de <a href="images/un_conifere.jpg">conifère</a> (1,2Mo).</p>
</div>

 <p style="text-align:center">
<a href="index.html">
<img src="../images/precedent.gif" alt="fleche page précédente">
</a>
&nbsp;&nbsp;&nbsp;&nbsp;
<a href="insertion_base.html">
<img src="../images/suivant.gif" alt="fleche page suivante">
</a>
</p>

</div>
<!-- fin du contenu de la page -->

<!-- bandeau en haut de l'&eacute;cran -->
<div class="bandeau" >
	<iframe src="../fixes/bandeau.htm"></iframe>
</div>

<!-- menu a gauche -->
<div class="menu" >
	<iframe src="fixes/menu.htm"></iframe>
</div>

</body>
</html>
